| OpenSubdiv

Loading...
Searching...
No Matches
SchemeTypeTraits Struct Reference

Traits associated with the types of all subdivision schemes – parameterized by the scheme type. All traits are also defined in the scheme itself. More...

`#include <types.h>`

## Static Public Member Functions
static SchemeType | GetType (SchemeType schemeType)
static Split | GetTopologicalSplitType (SchemeType schemeType)
static int | GetRegularFaceSize (SchemeType schemeType)
static int | GetRegularVertexValence (SchemeType schemeType)
static int | GetLocalNeighborhoodSize (SchemeType schemeType)
static char const * | GetName (SchemeType schemeType)

## Detailed Description

Traits associated with the types of all subdivision schemes – parameterized by the scheme type. All traits are also defined in the scheme itself.

Definition at line 57 of file types.h.

## Member Function Documentation

## ◆ GetLocalNeighborhoodSize()

int GetLocalNeighborhoodSize | ( | SchemeType | schemeType | ) |
| static

## ◆ GetName()

char const * GetName | ( | SchemeType | schemeType | ) |
| static

## ◆ GetRegularFaceSize()

int GetRegularFaceSize | ( | SchemeType | schemeType | ) |
| static

## ◆ GetRegularVertexValence()

int GetRegularVertexValence | ( | SchemeType | schemeType | ) |
| static

## ◆ GetTopologicalSplitType()

Split GetTopologicalSplitType | ( | SchemeType | schemeType | ) |
| static

## ◆ GetType()

SchemeType GetType | ( | SchemeType | schemeType | ) |
| inline static

Definition at line 59 of file types.h.

The documentation for this struct was generated from the following file:

- opensubdiv/sdc/types.h